
! Part of TsunAWI
! Copyright (c) 2014
! Alfred Wegener Institut,
! Helmholtz Centre for Polar and Marine Research
! Contact: rakowsky@awi.de

! MODULE: DATA_TYPES -- contains the declaration of the specified data types used by other modules and subroutines

MODULE DATA_TYPES

! Prepare for careful handling of floating point precision
  use, intrinsic :: iso_fortran_env, only: real32, real64, int32, int16, int64   

  IMPLICIT NONE
  SAVE

  integer, parameter        :: dp=real64, sp=real32

!  To toggle between single and double precision, change the working precision:

#ifdef WORKING_PRECISION
  integer, parameter        :: wp=WORKING_PRECISION  ! Working precision
#else    
  integer, parameter        :: wp=sp  ! Working precision, 4Byte real is default 
#endif    
  
  TYPE addresstype
     INTEGER                            :: nmb
     INTEGER, DIMENSION(:), allocatable :: addr
  END TYPE addresstype
  
END MODULE DATA_TYPES

